summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPádraig Brady <P@draigBrady.com>2016-11-22 19:41:20 +0000
committerPádraig Brady <P@draigBrady.com>2016-11-22 20:10:24 +0000
commit812877bfcb34edbff1ba554555bd2ddb613a22cc (patch)
tree73274dd493c7d26bf183f38dca0cd732dde7b043
parent1d46419fdea9ee80c5856e2839643c78e58b9867 (diff)
downloadcoreutils-812877bfcb34edbff1ba554555bd2ddb613a22cc.tar.xz
all: update gnulib submodule to latest
Also sync these copies with gnulib: * bootstrap: Sync missed part of AIX support. * tests/init.sh: Support compare_ on AIX.
-rwxr-xr-xbootstrap22
m---------gnulib0
-rwxr-xr-xtests/init.sh52
3 files changed, 24 insertions, 50 deletions
diff --git a/bootstrap b/bootstrap
index 1755d04eb..5d3c2898c 100755
--- a/bootstrap
+++ b/bootstrap
@@ -420,21 +420,21 @@ sort_ver() { # sort -V is not generally available
get_version_sed='
# Move version to start of line.
- s/.*[v ]\([0-9]\)/\1/
+s/.*[v ]\([0-9]\)/\1/
- # Skip lines that do not start with version.
- /^[0-9]/!d
+# Skip lines that do not start with version.
+/^[0-9]/!d
- # Remove characters after the version.
- s/[^.a-z0-9-].*//
+# Remove characters after the version.
+s/[^.a-z0-9-].*//
- # The first component must be digits only.
- s/^\([0-9]*\)[a-z-].*/\1/
+# The first component must be digits only.
+s/^\([0-9]*\)[a-z-].*/\1/
- #the following essentially does s/5.005/5.5/
- s/\.0*\([1-9]\)/.\1/g
- p
- q'
+#the following essentially does s/5.005/5.5/
+s/\.0*\([1-9]\)/.\1/g
+p
+q'
get_version() {
app=$1
diff --git a/gnulib b/gnulib
-Subproject 012262350494958b70da16b43ed9acf24ee7fbc
+Subproject 6b26660a01125acb394e39ac71635c8df4c110c
diff --git a/tests/init.sh b/tests/init.sh
index 09b07394f..da743c2ab 100755
--- a/tests/init.sh
+++ b/tests/init.sh
@@ -295,50 +295,24 @@ compare_dev_null_ ()
return 2
}
-if diff_out_=`exec 2>/dev/null; diff -u "$0" "$0" < /dev/null` \
- && diff -u Makefile "$0" 2>/dev/null | grep '^[+]#!' >/dev/null; then
- # diff accepts the -u option and does not (like AIX 7 'diff') produce an
- # extra space on column 1 of every content line.
- if test -z "$diff_out_"; then
- compare_ () { diff -u "$@"; }
- else
- compare_ ()
- {
- if diff -u "$@" > diff.out; then
- # No differences were found, but Solaris 'diff' produces output
- # "No differences encountered". Hide this output.
- rm -f diff.out
- true
- else
- cat diff.out
- rm -f diff.out
- false
- fi
- }
- fi
-elif
- for diff_opt_ in -U3 -c '' no; do
- test "$diff_opt_" = no && break
- diff_out_=`exec 2>/dev/null; diff $diff_opt_ "$0" "$0" </dev/null` && break
- done
- test "$diff_opt_" != no
-then
+for diff_opt_ in -u -U3 -c '' no; do
+ test "$diff_opt_" != no &&
+ diff_out_=`exec 2>/dev/null; diff $diff_opt_ "$0" "$0" < /dev/null` &&
+ break
+done
+if test "$diff_opt_" != no; then
if test -z "$diff_out_"; then
compare_ () { diff $diff_opt_ "$@"; }
else
compare_ ()
{
- if diff $diff_opt_ "$@" > diff.out; then
- # No differences were found, but AIX and HP-UX 'diff' produce output
- # "No differences encountered" or "There are no differences between the
- # files.". Hide this output.
- rm -f diff.out
- true
- else
- cat diff.out
- rm -f diff.out
- false
- fi
+ # If no differences were found, AIX and HP-UX 'diff' produce output
+ # like "No differences encountered". Hide this output.
+ diff $diff_opt_ "$@" > diff.out
+ diff_status_=$?
+ test $diff_status_ -eq 0 || cat diff.out || diff_status_=2
+ rm -f diff.out || diff_status_=2
+ return $diff_status_
}
fi
elif cmp -s /dev/null /dev/null 2>/dev/null; then